Bug 480832 - Need to resolve org_default profile and fix display URLs
Need to resolve org_default profile and fix display URLs
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
0.5
All Linux
low Severity medium
: ---
: ---
Assigned To: Partha Aji
Mike McCune
:
Depends On:
Blocks: space05 swcobbler05
  Show dependency treegraph
 
Reported: 2009-01-20 14:44 EST by Mike McCune
Modified: 2012-03-06 03:59 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 03:09:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McCune 2009-01-20 14:44:59 EST
* In Satellite 5.2 and before we supported the notion of a 'Organization Default' kickstart profile.  With the cobbler integration we changed the rendering of our Kickstart Files to be handled by cobbler.

We need to figure out a way to get these org_default urls:

https://<spacewalkhost>/rhn/kickstart/ks/cfg/org/1/org_default

to actually go to the right profile.  Possibly can change our renderer to instead of rendering the file to actually just figure out the proper cobbler URL and redirect to that path.

* The 'bare metal' url is the old style:

http://<spacewalkhost>/ks/cfg/org/1/label/rhel5-u2-x86_64-xen-fv 

this needs to be:

http://<spacewalkhost>/cblr/svc/op/ks/profile/rhel5-u2-x86_64-xen-fv:1:Miroslav-Suchy
Comment 1 Partha Aji 2009-03-12 18:02:24 EDT
Should be resolved in the next iso... Decided not to do /cblr/svc/op/ks/profile/rhel5-u2-x86_64-xen-fv:1:Miroslav-Suchy. Instead the orignal url (/ks/cfg/org/1/label/rhel5-u2-x86_64-xen-fv 
) will get the actual data from cobbler and render it.. This makes things like org_default and ip ranges work correctly... Here is the commit
http://git.fedorahosted.org/git/spacewalk.git?p=spacewalk.git;a=commit;h=4edc472cd6a0d206f05ce931d6c64b6268aaf6e8
Comment 2 Partha Aji 2009-03-28 01:11:33 EDT
Moving to ON_QA
Comment 3 Jesus M. Rodriguez 2009-04-14 10:12:22 EDT
Spacewalk 0.5 released.
Comment 4 Miroslav Suchý 2009-09-17 03:09:21 EDT
Spacewalk 0.5 has been released for long time ago.

Note You need to log in before you can comment on or make changes to this bug.